/*
 * BiZduino.h - BiZduino LED/SW ライブラリ
 */
#ifndef BiZduino_h
#define BiZduino_h

// LED3
class BiZduinoLED3 {
public:
    BiZduinoLED3();

    void on(void);      // LED3を点灯
    void off(void);     // LED3を消灯
    void toggle(void);  // LED3の点灯/消灯を反転
};

// SW3
class BiZduinoSW3 {
public:
    BiZduinoSW3();

    bool isPressed(void);   // SW3が押されているか判定
    bool isClicked(void);   // SW3が押されたか判定(off→on)

private:
	bool pressed;
};


#endif
